# spec file for package togaII-134 (Version 1.3.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           togaII-134
Version:        1.3.4
Release:        1699.2.pm.22
License: GPL-2.0
Group:          Amusements/Games/Board/Chess
URL:            http://www.freewebs.com/computerchessengines/togachessengine.htm
Source:         %{name}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	toga2.6
Source5:	%{name}.ini
Source6:	Performance.bin
Source7:	README.Debian
Patch0:		%{name}-posix.patch
Patch1:         %{name}-egbb_path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++
AutoReqProv:    on
Recommends:	polyglot xboard

%description
TogaII is an improved version of the well known UCI chess engine fruit and was based on fruit's last OSS version 2.1.
As togaII uses UCI (universal chess interface, UCI) you will need a uci-compliant user interface to play against toga2.
You can also use polyglot as an "UCI to xboard"-adapter to use togaII with xboard-compatible programs.
TogaII's ELO-rating is about 2800 points.

Note:

To make togaII-134 compile under linux, a patch (which was derived from this one http://alpha.uhasselt.be/Research/Algebra/Toga/linux_versions/patch_posix.p) is applied.

Authors:
--------
		Fabien Letouzey (Fruit 2.1), Thomas Gaksch (Toga II), Daniel Shawul (egbb code), Chris Formula (SE enhancements), Jerry Donald (JD enhancements).
		Oliver Korff <ok@xynyx.de> (manual page, and README with information on using egbb taken from Debian upstream)
		Marc Lacrosse (opening book "Performance.bin")



%prep
%setup -q -n %{name}
cp %{SOURCE7} .
%patch0 -p0
%patch1 -p0

%build
pushd src/
# use Performance.bin as default book with UCI
sed -i 's/performance\.bin/Performance\.bin/g' option.cpp
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 755 src/toga2 $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/toga2.6* 
%doc readme.txt src/CHANGELOG src/COPYING src/LICENSE README.Debian
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Aug 31 2009 AxelKoellhofer@web.de
- added a polyglot startup script (i.e. for use with xboard)
  simply typing "xboard -fcp togaII-134-polyglot" (engine = white) 
  or "xboard -scp togaII-134-polyglot" (engine = black) will work
* Thu Aug 27 2009 AxelKoellhofer@web.de
- modified startup
  The two scripts /usr/bin/togaII-134 and /usr/bin/xtogaII-134
  both check if there is a $HOME/.togaII-134 directory
  containing an opening book and a polyglot ini-file;
  if not, the files are copied from /usr/share/togaII-134.
  In this way every user can run a "personalized" configuration
  as all of the configuration stuff is handled within $HOME.
* Wed Aug 26 2009 AxelKoellhofer@web.de
- fixed wrong error message in xboard-script if polyglot is not installed
* Mon Aug 24 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 1.3.4

